=== PVE/VZDump/Makefile ===

.PHONY: install
install:
	install -D -m 0644 QemuServer.pm ${DESTDIR}${PERLDIR}/PVE/VZDump/QemuServer.pm
