=== debian/changelog ===
qemu-server (8.3.0) bookworm; urgency=medium

  * api: import working storage: improve error message

  * migration: drop outdated check that was introduced for PVE 7.2 to PVE 7.3
    to guard against (relatively low) fallout of the newly introduced
    cloudinit section in the VM config. This check can sometimes trigger as
    false-positive.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 20 Nov 2024 12:12:00 +0100

qemu-server (8.2.7) bookworm; urgency=medium

  * backup: cleanup: check if VM is running before issuing QMP commands

  * restore: die early when there is no size for a device

  * add tiny C program to query some hardware capabilities from CPUID

  * backup: prepare: cancel previous job if still running, which can happen
    after a hard failure, e.g. if the vzdump task was canceled.

  * parse config: allow config keys with minus sign

  * import disk: add 'target-disk' option to add imported volume to disk

  * import disk: convert imported volume disks to base images for templates

  * fix #5301: convert added volume disks to base image for templates

  * use OVF module from the pve-storage package, it was moved over there

  * api: create: implement extracting disks when needed for import-from

  * api: create: add 'import-working-storage' parameter for overriding the
    staging directory used to extract to-be-imported disks.

  * api: check untrusted image files for the new import content type for
    proactive hardening.

  * config: add initial AMD SEV support

  * migration: add amd-sev to non-migratable resources blockers

 -- Proxmox Support Team <support@proxmox.com>  Mon, 18 Nov 2024 21:48:24 +0100

qemu-server (8.2.6) bookworm; urgency=medium

  * vm start: add syslog info with which PID a VM process was started

  * pci: avoid the hard requirement for a passthrough device to be reset on
    start to fix a recent regression from improving error handling from the
    pve-common package.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 11 Nov 2024 20:38:25 +0100

qemu-server (8.2.5) bookworm; urgency=medium

  * remote migration: fix online migration via API clients

  * fix #5714: fix calloc parameter ordering

  * fix typos in user-visible strings

  * api: status: add some missing description for status return properties

  * pci: device selection: don't reserve PCI IDs when VM is already running to
    avoid false-positive if, e.g., one is checking the generated QEMU command
    using `qm showcmd`.

  * pci: mdev: adapt to NVIDIA's modern interface with kernel >= 6.8

 -- Proxmox Support Team <support@proxmox.com>  Thu, 24 Oct 2024 18:55:37 +0200

qemu-server (8.2.4) bookworm; urgency=medium

  * fix #5528: ensure cgroup limits like CPU weight are set correctly and in
    the same way for both cases, the cold-start and when changing while the VM
    is running

  * fix #5619: honor link-down setting when hot-plugging NIC

  * resume: bump timeout for query-status, as activating the block drives in
    QEMU on resume can take a bit of time during which the QEMU process might
    not respond to QMP commands yet.

  * fix #4493: cloud-init: fix generated Windows config

  * drive mirror: prevent wrongly logging success when completion fails for
    some other reasons than for which it's safe to retry on.

  * migration: avoid crash with heavy IO on migrating a disk backed by local
    storage, if the VM is running QEMU 8.2 or newer.

 -- Proxmox Support Team <support@proxmox.com>  Tue, 30 Jul 2024 21:36:25 +0200

qemu-server (8.2.3) bookworm; urgency=medium

  * config: net: avoid duplicate ipam entries on nic update

  * fix #5574: api: fix permission check for 'spice' usb port

 -- Proxmox Support Team <support@proxmox.com>  Mon, 22 Jul 2024 19:42:15 +0200

qemu-server (8.2.2) bookworm; urgency=medium

  * schema: mention that migrate_downtime parameter will be auto-increased if
    migration cannot converge otherwise.

  * remote migration: enable schema validation

  * suspend: also cleanup in error scenario when QMP command 'savevm-end'
    fails rather than leaving orphaned volume around and VM configuration
    locked.

  * human monitor commands: increase timeout to sensible values. In particular
    to fix #5440 where detaching a fleecing image would fail, because of the
    low timeout.

  * vma restore: increase timeout for reading header and improve error
    messages.

  * fix #5562: improve TPM version handling by disallowing change in the
    configuration after creation of the state file (the actual state file
    cannot change version either). Also avoid warning about undefined value
    when version is not explicitly set and fix schema to mention the actual
    default for the version, being 'v1.2'.

  * fix #3352: minimize config when starting templates for PBS backup. A
    template might reside on a host that does not have the necessary resources
    or devices to start the VM with all settings.

  * block jobs: improve error handling and messages for drive mirror and
    live-restore/live-import.

  * fix #5572: avoid warning about uninitialized value when cloning cloud-init
    disk.

  * CLI autocomplete: also list backup archives from PBS storages and without
    compressor extension.

  * remove outdated QEMU version checks working around missing features in
    QEMU binaries 4.2 and 4.0.1.

  * vga: mention that type 'cirrus' is recommended against.

 -- Proxmox Support Team <support@proxmox.com>  Fri, 12 Jul 2024 16:09:25 +0200

qemu-server (8.2.1) bookworm; urgency=medium

  * cpu config: fix get_cpu_bitness always reverting to default cpu type

 -- Proxmox Support Team <support@proxmox.com>  Wed, 24 Apr 2024 11:49:03 +0200

qemu-server (8.2.0) bookworm; urgency=medium

  * qmeventd: also treat 'prelaunch' and 'suspended' states as active to avoid
    issues when backing up VMs that currently are in those states.

  * OS type: add Windows Server 2025 as supported, map it to the same virtual

