=== debian/control ===
Source: qemu-server
Section: admin
Priority: optional
Maintainer: Proxmox Support Team <support@proxmox.com>
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libio-multiplex-perl,
               libjson-c-dev,
               libpve-apiclient-perl,
               libpve-cluster-perl,
               libpve-common-perl (>= 8.0.2),
               libpve-guest-common-perl (>= 5.1.0),
               libpve-storage-perl (>= 8.2.8),
               libtest-mockmodule-perl,
               liburi-perl,
               libuuid-perl,
               lintian,
               perl,
               pkg-config,
               pve-cluster,
               pve-doc-generator (>= 6.2-5),
               pve-edk2-firmware,
               pve-edk2-firmware-aarch64,
               pve-firewall,
               pve-ha-manager <!nocheck>,
               pve-qemu-kvm (>= 7.1~),
Standards-Version: 4.5.1
Homepage: https://www.proxmox.com

Package: qemu-server
Architecture: any
Depends: dbus,
         genisoimage,
         libio-multiplex-perl,
         libjson-perl,
         libjson-xs-perl,
         libnet-ssleay-perl,
         libpve-access-control (>= 8.0.0~),
         libpve-apiclient-perl,
         libpve-cluster-perl,
         libpve-common-perl (>= 8.2.6),
         libpve-guest-common-perl (>= 5.1.2),
         libpve-storage-perl (>= 8.2.8),
         libterm-readline-gnu-perl,
         liburi-perl,
         libuuid-perl,
         perl (>= 5.10.0-19),
         proxmox-websocket-tunnel,
         pve-cluster,
# TODO: make legacy edk2 optional (suggests) for PVE 9 and warn explicitly about it
         pve-edk2-firmware-legacy | pve-edk2-firmware (<< 4~),
         pve-edk2-firmware-ovmf | pve-edk2-firmware (>= 3.20210831-1),
         pve-edk2-firmware-aarch64,
         pve-firewall (>= 5.0.4),
         pve-ha-manager (>= 3.0-9),
         pve-qemu-kvm (>= 7.1~),
         socat,
         swtpm,
         swtpm-tools,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Recommends: proxmox-backup-file-restore (>= 2.1.9-2),
            libpve-network-perl (>= 0.8.3),
Suggests: pve-edk2-firmware-aarch64, pve-edk2-firmware-riscv,
Breaks: pve-ha-manager (<< 4.0.1), pve-manager (<= 6.0-13),
Description: Qemu Server Tools
 This package contains the Qemu Server tools used by Proxmox VE
