=== PVE/API2/Qemu/Makefile ===
SOURCES=Agent.pm CPU.pm Machine.pm

.PHONY: install
install:
	install -d -m 0755 ${DESTDIR}${PERLDIR}/PVE/API2/Qemu
	for i in ${SOURCES}; do install -D -m 0644 $$i ${DESTDIR}${PERLDIR}/PVE/API2/Qemu/$$i; done
