=== debian/changelog ===
qemu-server (8.3.3+port3) bookworm; urgency=medium

  * Add x86_64 cpu for compatible with x86 host

 -- Jiangcuo <Jiangcuo@lierfang.com>  Fri, 17 Jan 2025 11:57:51 +0800

qemu-server (8.3.3+port2) bookworm; urgency=medium

  * Add 'gicversion' param.

 -- Jiangcuo <Jiangcuo@lierfang.com>  Thu, 26 Dec 2024 12:14:33 +0800

qemu-server (8.3.3+port) bookworm; urgency=medium

  * Add port version

 -- Jiangcuo <Jiangcuo@lierfang.com>  Thu, 26 Dec 2024 12:13:33 +0800

qemu-server (8.3.3) bookworm; urgency=medium

  * fix #5980: import disk: fix spurious warning if no target disk is defined

  * api: clone: always do a full clone of tpmstate volumes

  * swtpm: check that format of tpmstate volume is raw as swtpm currently
    doesn't support anything else anyway.

  * create disk: disallow adding existing non-raw volumes as tpmstate0, like
    as for new volumes.

 -- Proxmox Support Team <support@proxmox.com>  Sun, 15 Dec 2024 14:26:32 +0100

qemu-server (8.3.2+port) bookworm; urgency=medium

  * Add port version

 -- Jiangcuo <Jiangcuo@lierfang.com>  Thu, 26 Dec 2024 11:28:33 +0800

qemu-server (8.3.2) bookworm; urgency=medium

  * use image format from storage layer for PVE-managed volumes

 -- Proxmox Support Team <support@proxmox.com>  Mon, 09 Dec 2024 10:08:14 +0100

qemu-server (8.3.1+port) bookworm; urgency=medium

  * Set default bios type to ovmf when vm create
   
  * Add Kunpeng920 cpu model.

 -- Jiangcuo <Jiangcuo@lierfang.com>  Thu, 26 Dec 2024 11:22:33 +0800

qemu-server (8.3.1) bookworm; urgency=medium

  * api: clone vm: make error for unsupported volumes appear in a
    deterministic order and include the ID of the problematic volume.

  * fix #3588: helper: consider NIC count for config-specific timeout

 -- Proxmox Support Team <support@proxmox.com>  Thu, 05 Dec 2024 12:38:12 +0100

qemu-server (8.3.0+port3) bookworm; urgency=medium

  * Add loongarch efi_vars support

 -- Jiangcuo <jiangcuo@lierfang.com>  Wed, 11 Dec 2024 13:44:37 +0800

qemu-server (8.3.0+port2) bookworm; urgency=medium

  * Fix usb hotplug error

 -- Jiangcuo <jiangcuo@bingsin.com>  Mon, 09 Dec 2024 16:30:48 +0800

qemu-server (8.3.0+port1) bookworm; urgency=medium

  * Fix cpu type on loongarch64

 -- Jiangcuo <jiangcuo@bingsin.com>  Thu, 05 Dec 2024 14:16:44 +0800
