=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libpve-cluster-perl,
                libpve-common-perl (>= 8.0.2),
                libpve-guest-common-perl (>= 5.1.0),
-               libpve-storage-perl (>= 8.2.8),
+               libpve-storage-perl (>= 8.2.10),
                libtest-mockmodule-perl,
                liburi-perl,
                libuuid-perl,
@@ -40,7 +40,7 @@
          libpve-cluster-perl,
          libpve-common-perl (>= 8.2.6),
          libpve-guest-common-perl (>= 5.1.2),
-         libpve-storage-perl (>= 8.2.8),
+         libpve-storage-perl (>= 8.2.10),
          libterm-readline-gnu-perl,
          liburi-perl,
          libuuid-perl,
@@ -51,9 +51,10 @@
          pve-edk2-firmware-legacy | pve-edk2-firmware (<< 4~),
          pve-edk2-firmware-ovmf | pve-edk2-firmware (>= 3.20210831-1),
          pve-edk2-firmware-aarch64,
+	  pve-edk2-firmware-loongarch64 [loong64],
          pve-firewall (>= 5.0.4),
          pve-ha-manager (>= 3.0-9),
-         pve-qemu-kvm (>= 7.1~),
+         pve-qemu-kvm (>= 9.0~),
          socat,
          swtpm,
          swtpm-tools,
